# Namespace: internet

## faker. internet

### Methods

#### <static> avatar()

  avatar

#### <static> color(baseRed255, baseGreen255, baseBlue255)

  color

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `baseRed255` | number |
  `baseGreen255` | number |
  `baseBlue255` | number |

#### <static> domainName()

  domainName

#### <static> domainSuffix()

  domainSuffix

#### <static> domainWord()

  domainWord

#### <static> email(firstName, lastName, provider)

  email

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `firstName` | string |
  `lastName` | string |
  `provider` | string |

#### <static> exampleEmail(firstName, lastName)

  exampleEmail

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `firstName` | string |
  `lastName` | string |

#### <static> ip()

  ip

#### <static> mac()

  mac

#### <static> password(len, memorable, pattern, prefix)

  password

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `len` | number |
  `memorable` | boolean |
  `pattern` | string |
  `prefix` | string |

#### <static> protocol()

  protocol

#### <static> url()

  url

#### <static> userAgent()

  userAgent

#### <static> userName(firstName, lastName)

  userName

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `firstName` | string |
  `lastName` | string |

#### Search results